//
// elements/text
// ce_table
//

// variables
$table-border-width: $base-border-width;
$table-border-style: $base-border-style;
$table-border-color: $base-border-color;
$table-background-light: $color-bg-light;
$table-cell-padding: $base-spacing-unit-sm $base-spacing-unit;

// foundation
table {
  margin-bottom: $base-spacing-unit;
  width: 100%;
  padding: 0;
  border-spacing: 0;
  border-left: $table-border-width $table-border-style $table-border-color;
  border-top: $table-border-width $table-border-style $table-border-color;

  td,
  th {
    border-right: $table-border-width $table-border-style $table-border-color;
    border-bottom: $table-border-width $table-border-style $table-border-color;
    padding: $table-cell-padding;
  }
}

thead {
  text-align: left;
  background: $color-bg-light;
}

tfoot {
  font-style: italic;
}

.table-striped {
  .even {
    background: $table-background-light;
  }
}
